<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Pantalla Reporte Ventas por Cliente</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
/*Reporte que despliega las ventas por cliente y el porcentaje de participación en base a las ventas realizadas (el total que despliega en la columna total no siempre cuadrara porque calcula en la moneda que se solicito el mismo), es importante saber que la opcion de participacion en % en el caso de que se elija moneda original adopta por defecto la moneda 1 que esta controlada con query en el index, solo en el caso de NO participacion se puede colocar moneda original, no hay problema con las otras monedas.

*/
include "../../conn.php";
include "../../general.php";
include "../../token.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];
//$usuario=$_POST["usuario"];
$asientocc=$_POST["asientocc"];
//$estado=$_POST["estado"];
$vendedor=$_POST["vendedor"];
$cliente=$_POST["cliente"];
$canal_venta=$_POST["canal_venta"];
$almacen=$_POST["almacen"];
$local=$_POST["local"];
$ciudad=$_POST["ciudad"];
$tipo_nota=$_POST["tiponota"];
$fechaini=$_POST["fechaini"];
$fechafin=$_POST["fechafin"];
$detalle=$_POST["detalle"];
$orden=$_POST["orden"];
$otra_moneda=$_POST["otra_moneda"];
$participacion=$_POST["participacion"];
$cod_contexto=$_POST["contexto"];

/*
$cod_cxc=$_GET["cod_cxc"];
$empresa=$_GET["empresa"];
$otra_moneda_det=$_GET["otra_moneda_det"];
$usuario_det=$_GET["usuario_det"];
*/
//$asientocc_det=$_GET["asientocc_det"];
//$n_decimales = 6;

?>
<body>

	<?php
	
//Inicio reporte Ventas por Cliente


if($rep == 13 && $tipo == 1) { // if 2

if($participacion == 0) { //if partcipacion 0
	
	$valor_agrupar = ' group by cod_cli ';
	$nom_participacion = 'No mostrar';
} //fin if participacion 0

if($participacion == 1) { //if partcipacion 1
	/*
	$estado = 0;
	$cliente = 0;
	$vendedor = 0;
	*/
	if($otra_moneda == 0) { $otra_moneda = 1; }
	$valor_agrupar = ' group by a.codClient ';
	$nom_participacion = 'por Cliente';
} //fin if participacion 1

if($participacion == 2) { //if partcipacion 2
	if($otra_moneda == 0) { $otra_moneda = 1; }
	$valor_agrupar = ' group by c.codChannel ';
	$nom_participacion = 'por Tipo de Cliente';
} //fin if participacion 2

if($participacion == 3) { //if partcipacion 3
	if($otra_moneda == 0) { $otra_moneda = 1; }
	$valor_agrupar = ' group by c.codHeading ';
	$nom_participacion = 'por Rubro de Cliente';
} //fin if participacion 3

if($detalle == 1) { //if partcipacion 3
	if($otra_moneda == 0) { $otra_moneda = 1; }
} //fin if participacion 3

//nombre otra moneda
$resultotra = mysqli_query($link, "SELECT fldName as otra_moneda
from
actCurrency
where
pkyCurrency = '$otra_moneda' and
sysEnabled = 1 and sysAuthorized = 1;");
		
	while ($row = mysqli_fetch_array($resultotra)) {
	$nom_otra_moneda = $row['otra_moneda'];
	}
	mysqli_free_result($resultotra);


if ($almacen == 0) { //if almacen
    $valor_almacen = ' ';
	$valor_almacen1 = ' ';
	$nom_almacen = 'Todos';
  } else { 
    $valor_almacen = ' a.codWarehouse = '.$almacen.' and ';
	$valor_almacen1 = ' g.codWarehouse = '.$almacen.' and ';
	//nombre de almacen
	$resultalm = mysqli_query($link, "select pkyWarehouse as codigo, fldName as almacen
from invWarehouse
where
pkyWarehouse = '$almacen' and 
sysEnabled = 1 and sysAuthorized = 1
order by almacen;");
	while ($row = mysqli_fetch_array($resultalm)) {
	$nom_almacen = $row['almacen'];
	}
	mysqli_free_result($resultalm);
  } //fin if almacen
  
  
if ($local == 0) { //if local
    $valor_local = ' ';
	$valor_local1 = ' ';
	$nom_local = 'Todos';
  } else { 
    $valor_local = ' a.codSalesPlace = '.$local.' and ';
	$valor_local1 = ' g.codSalesPlace = '.$local.' and ';
	//nombre de local
	$resultloc = mysqli_query($link, "select pkySalesPlace as codigo, fldName as local
from slsSalesPlace
where
pkySalesPlace = '$local' and 
sysEnabled = 1 and sysAuthorized = 1
order by local;");
	while ($row = mysqli_fetch_array($resultloc)) {
	$nom_local = $row['local'];
	}
	mysqli_free_result($resultloc);
  } //fin if local


if ($ciudad == 0) { //if ciudad
    $valor_ciudad = ' ';
	$valor_ciudad1 = ' ';
	$nom_ciudad = 'Todos';
  } else { 
    $valor_ciudad = ' c.codCityLocation = '.$ciudad.' and ';
	$valor_ciudad1 = ' h.codCityLocation = '.$ciudad.' and ';
	//nombre de local
	$resultciu = mysqli_query($link, "select a.codCityLocation as codigo, b.fldName as ciudad
from
agnCompany a, regCity b
where
a.fldIsClient = 1 and 
a.codCityLocation = '$ciudad' and 
a.codCityLocation = b.pkyCity and 
a.sysEnabled = 1 and a.sysAuthorized = 1 
group by codigo 
order by ciudad;");
	while ($row = mysqli_fetch_array($resultciu)) {
	$nom_ciudad = $row['ciudad'];
	}
	mysqli_free_result($resultciu);
  } //fin if ciudad

if ($tipo_nota == 0) { //if tipo nota
	$nom_tipo_nota = 'Todos';
	$valor_tipo_nota = ' ';
	$valor_tipo_nota1 = ' ';
  } else { 
  	$valor_tipo_nota = ' a.codType = '.$tipo_nota.' and ';
	$valor_tipo_nota1 = ' g.codType = '.$tipo_nota.' and ';
	//nombre de tipo de nota
$resulttipo = mysqli_query($link, "select pkySalesNoteType as codigo, fldName as tipo
from 
slsSalesNoteType
where
pkySalesNoteType = '$tipo_nota' and 
sysEnabled = 1 and sysAuthorized = 1
order by tipo;");
	while ($row = mysqli_fetch_array($resulttipo)) {
	$nom_tipo_nota = $row['tipo'];
	}
	mysqli_free_result($resulttipo);
  } //fin if tipo nota
/*  
if ($estado == 0) { //if estado
	$valor_estado = ' ';
	$valor_estado1 = ' ';
	$nom_estado = 'Todos';
  } else { 
  	if($estado == 1) {
    	//$valor_estado = ' and g.fldBalance <> 0 ';
		$valor_estado = ' ';
		$valor_estado1 = ' and c.fldBalance <> 0 ';
		$nom_estado = 'Pendiente';
	} else {
		$valor_estado = ' ';
		//$valor_estado = ' and g.fldBalance = 0 ';
		$valor_estado1 = ' and c.fldBalance = 0 ';
		$nom_estado = 'Cobrado';
	}
  } //fin if estado
*/

 if ($vendedor == 0) { //if vendedor
    $valor_vendedor = ' ';
	$valor_vendedor1 = ' ';
	$nom_vendedor = 'Todos';
  } else { 
    $valor_vendedor = ' a.codSeller = '.$vendedor.' and ';
	$valor_vendedor1 = ' g.codSeller = '.$vendedor.' and ';
	//nombre de vendedor
	$resultven = mysqli_query($link, "select pkyPerson as codigo, case when fldMiddleName is NULL then concat(fldLastName,', ',fldFirstName) else concat(fldLastName,' ',fldMiddleName,', ',fldFirstName) end as vendedor
from agnPerson
where
fldIsEmployee = 1 and
fldCanSell = 1 and  
pkyPerson = '$vendedor' and
sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultven)) {
	$nom_vendedor = $row['codigo'].' - '.$row['vendedor'];
	}
	mysqli_free_result($resultven);
  } //fin if vendedor


if ($cliente == 0) { //if cliente
    $valor_cliente = ' ';
	$valor_cliente1 = ' ';
	$nom_cliente = 'Todos';
  } else { 
    $valor_cliente = ' a.codClient = '.$cliente.' and ';
	$valor_cliente1 = ' g.codClient = '.$cliente.' and ';
	//nombre de cliente
	$resultcli = mysqli_query($link, "select pkyCompany as codigo, fldName as cliente
from agnCompany
where
fldIsClient = 1 and
pkyCompany = '$cliente' and 
sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultcli)) {
	$nom_cliente = $row['codigo'].' - '.$row['cliente'];
	}
	mysqli_free_result($resultcli);
  } //fin if cliente

if($canal_venta == 0) { // if canal
	$nom_canal_venta = 'Todos';
	$valor_canal_venta = ' ';
	$valor_canal_venta1 = ' ';
} else { 
	$resultcan = mysqli_query($link, "select pkyChannel as codigo, fldName as canal
						from agnChannel
						where
						pkyChannel = '$canal_venta';");
	while ($row = mysqli_fetch_array($resultcan)) {   
	$nom_canal_venta = $row['canal'];
	}
	mysqli_free_result($resultcan);
	$valor_canal_venta = ' c.codChannel = '.$canal_venta.' and ';
	$valor_canal_venta1 = ' h.codChannel = '.$canal_venta.' and ';
} // fin if canal

if($participacion == 0) {
	if($orden == 0) {
		$valor_orden = ' order by cliente, fecha, vendedor, codigo ';
		$nom_orden = '(Cliente, Fecha, Vendedor)';
	} 
	if($orden == 1) {
		if($otra_moneda == 0) { // if om
		$valor_orden = ' order by cast(nro_doc as unsigned), fecha, cliente, vendedor, codigo ';
		$nom_orden = '(Nro. Doc., Fecha, Cliente, Vendedor)';
		} else { // else if om
		$valor_orden = ' order by cliente, cast(nro_doc as unsigned), fecha, vendedor, codigo ';
		$nom_orden = '(Cliente, Nro. Doc., Fecha, Vendedor)';
		} // fin if om
	}
	if($orden == 2) {
		if($otra_moneda == 0) { // if om
		$valor_orden = ' order by nro_fac, fecha, cliente, vendedor, codigo ';
		$nom_orden = '(Nro. de Factura, Fecha, Cliente, Vendedor)';
		} else { // else if om
		$valor_orden = ' order by cliente, nro_fac, fecha, vendedor, codigo ';
		$nom_orden = '(Cliente, Nro. Fac., Fecha, Vendedor)';
		} // fin if om
	} 
}

if($participacion == 1) {
	$valor_orden = ' order by cliente, fecha, vendedor, codigo ';
	$nom_orden = '(Cliente, Fecha, Vendedor)';
}

if($participacion == 2) {
	$valor_orden = ' order by canal, cliente, fecha, codigo ';
	$nom_orden = '(Canal, Cliente, Fecha)';
}

if($participacion == 3) {
	$valor_orden = ' order by rubro, cliente, fecha, codigo ';
	$nom_orden = '(Rubro, Cliente, Fecha)';
}

//contexto
if($cod_contexto == -1){ 
	$nom_contexto = 'Todos';
	$valor_contexto = ' ';
	$valor_contexto2 = ' ';
} else {
	$resultcontx = mysqli_query($link, "select pkyContext as cod_contexto, fldName as contexto, codCostCenter as cod_cc 
	from srvContext
	where 
	pkyContext = '$cod_contexto';");
		while ($row = mysqli_fetch_array($resultcontx)) {   
			$nom_contexto = $row['cod_contexto'].' - '.$row['contexto'];
		}
		mysqli_free_result($resultcontx);
	$valor_contexto = ' a.sysContext = '.$cod_contexto.' and ';	
	$valor_contexto2 = ' b.sysContext = '.$cod_contexto.' and ';	
}

//listado de ventas del periodo

$result = mysqli_query($link, "select a.pkySalesNote as codigo, a.fldDate as fecha, 
a.fldNumber as nro_doc, c.fldName as cliente, a.codClient as cod_cli,
case when b.fldMiddleName is NULL then concat(b.fldLastName,', ',b.fldFirstName) else concat(b.fldLastName,' ',b.fldMiddleName,', ',b.fldFirstName) end as vendedor, 
a.codOrderNote as cod_orden, a.codWarehouse as cod_alm, 
d.fldName as almacen, a.codSalesPlace as cod_local, 
e.fldName as local_venta, a.codCurrency as cod_moneda, 
f.fldName as moneda, a.codExchangeRate as cod_tc, 
a.codType as cod_tipo, k.fldName as tipo_nota, 
c.codCityLocation as cod_ciu, h.fldName as ciudad, 
a.fldGrossTotal as total_bruto, a.fldTotalDiscountPercent as desc_porc,
a.fldGlobalDiscountPercent as desc_global_porc, a.fldNetTotal as total,
a.codAccountReceivable as cod_cxc, a.txtDescription as glosa, 
c.codChannel as cod_canal_cli, i.fldName as canal,
c.codHeading as cod_rubro_cli, j.fldName as rubro, 
a.codAccountEntry as cod_asiento, a.codItemMovement as cod_mov_merc, 
a.codInvoice as cod_fac, a.codPettyCashMovement as cod_mov_caja, 
a.codCheck as cod_cheque, a.codBankMovement as cod_mov_banco, 
case when a.codInvoice is NULL then a.codInvoice else (select fldNumber from txsSalesLedger where pkySalesLedger = a.codInvoice) end as nro_fac 
from slsSalesNote a, agnPerson b, agnCompany c, invWarehouse d, 
slsSalesPlace e, actCurrency f, regCity h, 
agnChannel i, agnCompanyHeading j, slsSalesNoteType k
where
$valor_tipo_nota 
$valor_vendedor 
$valor_cliente 
$valor_canal_venta 
$valor_almacen 
$valor_local 
$valor_ciudad 
$valor_contexto 
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
a.codSeller = b.pkyPerson and
a.codClient = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codSalesPlace = e.pkySalesPlace and 
a.codCurrency = f.pkyCurrency and 
c.codCityLocation = h.pkyCity and 
c.codChannel = i.pkyChannel and 
c.codHeading = j.pkyCompanyHeading and 
a.codType = k.pkySalesNoteType and 
a.sysEnabled = 1 and a.sysAuthorized = 1  
$valor_orden;");


//listado de saldo inicial

$result1 = mysqli_query($link, "select t.cod_cxc as cod_cxc, t.cod_moneda as cod_moneda, sum(t.cobro) as total
from
(select a.codAccountsReceivable as cod_cxc, b.fldDate as fecha, 
a.fldTotal as cobro, c.codCurrency as cod_moneda
from colCollectionDetail a, colCollection b, colAccountsReceivable c, 
slsSalesNote g, agnCompany h
where 
$valor_tipo_nota1 
$valor_vendedor1 
$valor_cliente1 
$valor_canal_venta1 
$valor_almacen1 
$valor_local1 
$valor_ciudad1 
$valor_contexto2 
a.codCollection = b.pkyCollection and
a.codAccountsReceivable = c.pkyAccountsReceivable and 
a.codAccountsReceivable = g.codAccountReceivable and 
g.codClient = h.pkyCompany and 
b.fldDate < '$fechaini' and
a.sysEnabled = 1 and a.sysAuthorized = 1 


union all

select a.codAccountsReceivable as cod_cxc, b.fldDate as fecha, 
a.fldTotal as cobro, c.codCurrency as cod_moneda
from payPaymentDetail a, payPayment b, colAccountsReceivable c, 
slsSalesNote g, agnCompany h
where 
$valor_tipo_nota1 
$valor_vendedor1 
$valor_cliente1 
$valor_canal_venta1 
$valor_almacen1 
$valor_local1 
$valor_ciudad1
$valor_contexto2 
a.codPayment = b.pkyPayment and
a.codAccountsReceivable = c.pkyAccountsReceivable and 
a.codAccountsReceivable = g.codAccountReceivable and 
g.codClient = h.pkyCompany and 
b.fldDate < '$fechaini' and
a.sysEnabled = 1 and a.sysAuthorized = 1) t
group by t.cod_cxc;");


//listado de cobros del periodo

$result2 = mysqli_query($link, "select t.cod_cxc as cod_cxc, t.cod_moneda as cod_moneda, sum(t.cobro) as total
from
(select a.codAccountsReceivable as cod_cxc, b.fldDate as fecha, 
a.fldTotal as cobro, c.codCurrency as cod_moneda
from colCollectionDetail a, colCollection b, colAccountsReceivable c, 
slsSalesNote g, agnCompany h
where 
$valor_tipo_nota1 
$valor_vendedor1 
$valor_cliente1 
$valor_canal_venta1 
$valor_almacen1 
$valor_local1 
$valor_ciudad1
$valor_contexto2 
a.codCollection = b.pkyCollection and
a.codAccountsReceivable = c.pkyAccountsReceivable and 
a.codAccountsReceivable = g.codAccountReceivable and 
g.codClient = h.pkyCompany and 
b.fldDate >= '$fechaini' and 
b.fldDate <= '$fechafin' and 
a.sysEnabled = 1 and a.sysAuthorized = 1 

union all

select a.codAccountsReceivable as cod_cxc, b.fldDate as fecha, 
a.fldTotal as cobro, c.codCurrency as cod_moneda
from payPaymentDetail a, payPayment b, colAccountsReceivable c, 
slsSalesNote g, agnCompany h
where 
$valor_tipo_nota1 
$valor_vendedor1 
$valor_cliente1 
$valor_canal_venta1 
$valor_almacen1 
$valor_local1 
$valor_ciudad1 
$valor_contexto2 
a.codPayment = b.pkyPayment and
a.codAccountsReceivable = c.pkyAccountsReceivable and 
a.codAccountsReceivable = g.codAccountReceivable and 
g.codClient = h.pkyCompany and 
b.fldDate >= '$fechaini' and 
b.fldDate <= '$fechafin' and 
a.sysEnabled = 1 and a.sysAuthorized = 1) t
group by t.cod_cxc;");


$matriz_ventas = array ();
$i = 1;
while ($row = mysqli_fetch_array($result)) {
	$matriz_ventas[$i][1] = $row['codigo'];
	$matriz_ventas[$i][2] = $row['fecha'];
	$matriz_ventas[$i][3] = $row['nro_doc'];
	$matriz_ventas[$i][4] = $row['cliente'];
	$matriz_ventas[$i][5] = $row['vendedor'];
	$matriz_ventas[$i][6] = $row['almacen'];
	$matriz_ventas[$i][7] = $row['local_venta'];
	$matriz_ventas[$i][8] = $row['moneda'];
	$matriz_ventas[$i][9] = $row['cod_tc'];
	$matriz_ventas[$i][10] = $row['total_bruto'];
	$matriz_ventas[$i][11] = $row['desc_porc'];
	$matriz_ventas[$i][12] = $row['desc_global_porc'];
	$matriz_ventas[$i][13] = $row['total'];
	$matriz_ventas[$i][14] = $row['cod_cxc'];
	$matriz_ventas[$i][15] = $row['glosa'];
	$matriz_ventas[$i][16] = 0; //saldo inicial
	$matriz_ventas[$i][17] = 0; //cobros periodo
	$matriz_ventas[$i][18] = $row['cod_moneda']; //codigo de la moneda de la cxc la misma en la que se genero la venta
	$matriz_ventas[$i][19] = 1; //tasa de cambio
	$matriz_ventas[$i][20] = $row['cod_cli']; //codigo del cliente
	$matriz_ventas[$i][21] = $row['cod_canal_cli']; //codigo del canal de cliente
	$matriz_ventas[$i][22] = $row['cod_rubro_cli']; //codigo del rubro de cliente 
	$matriz_ventas[$i][23] = $row['cod_orden']; //codigo de la nota de pedido
	$matriz_ventas[$i][24] = $row['tipo_nota'];
	$matriz_ventas[$i][25] = $row['ciudad'];
	$matriz_ventas[$i][26] = $row['cod_asiento'];
	$matriz_ventas[$i][27] = $row['cod_mov_merc'];
	$matriz_ventas[$i][28] = $row['cod_fac'];
	$matriz_ventas[$i][29] = $row['cod_mov_caja'];
	$matriz_ventas[$i][30] = $row['cod_cheque'];
	$matriz_ventas[$i][31] = $row['cod_mov_banco'];
	$matriz_ventas[$i][32] = $row['cod_tipo'];
	//$matriz_ventas[$i][33] = $row['cod_contrato'];
	$matriz_ventas[$i][34] = $row['nro_fac'];
	$cod_tipo_prueba = $row['cod_tipo'];
	$cod_orden_prueba = $row['cod_orden'];
	$cod_cxc_prueba = NULL;
	$cod_asiento_prueba = NULL;
	$cod_mov_merc_prueba = NULL;
	
	if($cod_orden_prueba != NULL) { //if cod_orden_prueba
		$resultorden = mysqli_query($link, "select pkyOrderNote as cod_orden, codAccountReceivable as cod_cxc, codAccountEntry as cod_asiento, codItemMovement as cod_mov_merc 
		from 
		slsOrderNote 
		where
		pkyOrderNote = '$cod_orden_prueba' and 
		codType = 2 and 
		sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultorden)) {
			$cod_cxc_prueba = $row['cod_cxc'];
			$cod_asiento_prueba = $row['cod_asiento'];
			$cod_mov_merc_prueba = $row['cod_mov_merc'];
		}
		mysqli_free_result($resultorden);
		if($cod_cxc_prueba != NULL) { $matriz_ventas[$i][14] = $cod_cxc_prueba; }
		if($cod_asiento_prueba != NULL) { $matriz_ventas[$i][26] = $cod_asiento_prueba; }
		if($cod_mov_merc_prueba != NULL) { $matriz_ventas[$i][27] = $cod_mov_merc_prueba; }
	}// fin if cod_orden_prueba
	
	//comprueba si la CxC es tipo tarjeta de credito, en ese caso asigna NULL porque la CxC se la asigna al proveedor de tarjetas Linkser u otro y la deuda pasa a ser de Linkser
	if($cod_tipo_prueba == 2) { //if cod_tipo_prueba
		$matriz_ventas[$i][14] = NULL;
	}//fin if cod_tipo_prueba
	
	//comprueba el tipo si no es CxC entonces se cobro en su totalidad por lo que se asigna el total al cobrado del periodo
	if($cod_tipo_prueba == 1 || $cod_tipo_prueba == 2 || $cod_tipo_prueba == 3 || $cod_tipo_prueba == 4 || $cod_tipo_prueba == 6) { //if cod_tipo_prueba 2
		$matriz_ventas[$i][17] = $row['total'];
	}//fin if cod_tipo_prueba 2
	$i++;
	}
	mysqli_free_result($result);

$fin_ventas = $i - 1;


while ($row = mysqli_fetch_array($result1)) {
	$i = 1;
	$control = 0;
	while($i <= $fin_ventas && $control == 0) {
		  if($matriz_ventas[$i][14] == $row['cod_cxc']) {
			 $matriz_ventas[$i][16] = $row['total'];
			 $control = 1;
		  }
			 $i++;
	}
}
mysqli_free_result($result1);

while ($row = mysqli_fetch_array($result2)) {
	$i = 1;
	$control = 0;
	while($i <= $fin_ventas && $control == 0) {
		  if($matriz_ventas[$i][14] == $row['cod_cxc']) {
			 $matriz_ventas[$i][17] = $row['total'];
			 $control = 1;
		  } 
			  $i++;
	}
}
mysqli_free_result($result2);

$i = 1;

//si otra_moneda es 0 colocamos a la moneda por defecto de la configuracion solo para calcular el total en Moneda original
$control_moneda = 1;
if($otra_moneda == 0 && $control_moneda == 1) { $otra_moneda = 1; $control_moneda = 0;}
while($i <= $fin_ventas) {
	if($matriz_ventas[$i][18] != $otra_moneda) {
		$moneda_base = $matriz_ventas[$i][18];
		$tc_original = $matriz_ventas[$i][9];
		$resulttc = mysqli_query($link, "SELECT pkyExchangeRateDetail as codigotc, codBaseCurrency as monedabase, codTargetCurrency as monedacambio, fldRate as tc
from
actExchangeRateDetail
where
codExchangeRate = '$tc_original' and
codBaseCurrency = '$otra_moneda' and
codTargetCurrency = '$moneda_base' and
sysEnabled = 1 AND sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resulttc)) {
		$matriz_ventas[$i][19] = $row['tc'];
		}
		mysqli_free_result($resulttc);
	}
	$i++;
}	
//colvemos a colocar otra_moneda en 0
if($otra_moneda == 1 && $control_moneda == 0) { $otra_moneda = 0; }
  
if($otra_moneda != 0){ 
$mostrar_txt_moneda = $nom_otra_moneda;
} else {
$mostrar_txt_moneda = 'Moneda original';	
}

if($detalle == 0){ 
$nom_detalle = 'Si';
} else {
$nom_detalle = 'No';
}

?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Ventas por Cliente</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Cliente: </b><?php echo $nom_cliente; ?></TD>
        <TD width="25%"><b>Canal (solo para empresas): </b><?php echo $nom_canal_venta; ?></TD>
        <TD width="25%"><b>Ordenado por: </b><?php echo $nom_orden; ?></TD>
        <TD width="25%"><b>Vendedor: </b><?php echo $nom_vendedor; ?></TD>
        </TR>
        <TR>
        <TD><b>Tipo: </b><?php echo $nom_tipo_nota; ?></TD>
        <TD><b>Almacen: </b><?php echo $nom_almacen; ?></TD>
        <TD><b>Local o Punto de venta: </b><?php echo $nom_local; ?></TD>
        <TD><b>Ciudad: </b><?php echo $nom_ciudad; ?></TD>
        </TR>
        <TR>
        <TD><b>Mostrar Detalle: </b><?php echo $nom_detalle; ?></TD>
        <TD><b>Participaci&oacute;n: </b><?php echo $nom_participacion; ?></TD>
        <TD><b>De Fecha: </b><?php echo $fechaini; ?> <b>a Fecha: </b><?php echo $fechafin; ?></TD>
        <TD><b>Expresado en: </b><?php echo $mostrar_txt_moneda; ?></TD>
        </TR>
        <TR>
        <TD colspan="4"><b>Contexto: </b><?php echo $nom_contexto; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br />
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
    <?php if($detalle == 0){ ?>
 	<TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Nro. Doc.</b></TD>
	<TD align="center" width="65"><b>Fecha</b></TD>
    <TD align="center"><b>Tipo Nota</b></TD>
    <TD align="center"><b>Cliente</b></TD>
    <TD align="center"><b>Vendedor</b></TD>
    <TD align="center"><b>Ciudad</b></TD>
    <TD align="center"><b>Almacen</b></TD>
    <TD align="center"><b>Local Venta</b></TD>
    <TD align="center"><b>Glosa</b></TD>
    <TD align="center"><b>Contrato</b></TD>
    <TD align="center"><b>CxC</b></TD>
    <TD align="center"><b>Asiento</b></TD>
    <TD align="center"><b>Mov. Merc.</b></TD>
    <TD align="center"><b>Factura</b></TD>
    <TD align="center"><b>Mov. Caja</b></TD>
    <TD align="center"><b>Cheq.</b></TD>
    <TD align="center"><b>Mov. Banco</b></TD>
    <TD align="center"><b>Mon.</b></TD>
    <TD align="center"><b>Total Bruto</b></TD>
	<TD align="center"><b>Desc. %</b></TD>
    <TD align="center"><b>Desc. Global %</b></TD>
    <TD align="center"><b>Total</b></TD>
    <TD align="center"><b>Cobros Anteriores</b></TD>
    <TD align="center"><b>Cobros Periodo</b></TD>
    <TD align="center"><b>Saldo</b></TD>
    <?php if($otra_moneda != 0){ ?>
    <TD align="center"><b>Tasa a <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Saldo en <?php echo $nom_otra_moneda; ?></b></TD>
    <?php } ?>
    <?php } else { ?>
	<TD align="center"><b>Cliente</b></TD>
    <TD align="center"><b>Total en <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Cobros Anteriores</b></TD>
    <TD align="center"><b>Cobros Periodo</b></TD>
    <TD align="center"><b>Saldo en <?php echo $nom_otra_moneda; ?></b></TD>
    <?php } ?>
    </TR>
    </thead>
    <tbody class="marcafila">

    <?php
	
   // if($vendedor == 0 && $cliente == 0) { //if vendedor = 0 y cliente = 0
	//lista de codigo de clientes del periodo, mismo query de listado de ventas del periodo pero con group by y num_reg (de acuerdo a la participacion es la agrupacion)
	$result_cli = mysqli_query($link, "select a.pkySalesNote as codigo, a.fldDate as fecha, 
a.fldNumber as nro_doc, c.fldName as cliente, a.codClient as cod_cli,
case when b.fldMiddleName is NULL then concat(b.fldLastName,', ',b.fldFirstName) else concat(b.fldLastName,' ',b.fldMiddleName,', ',b.fldFirstName) end as vendedor, 
a.codOrderNote as cod_orden, a.codWarehouse as cod_alm, 
d.fldName as almacen, a.codSalesPlace as cod_local, 
e.fldName as local_venta, a.codCurrency as cod_moneda, 
f.fldName as moneda, a.codExchangeRate as cod_tc, 
a.codType as cod_tipo, k.fldName as tipo_nota, 
c.codCityLocation as cod_ciu, h.fldName as ciudad, 
a.fldGrossTotal as total_bruto, a.fldTotalDiscountPercent as desc_porc,
a.fldGlobalDiscountPercent as desc_global_porc, a.fldNetTotal as total,
a.codAccountReceivable as cod_cxc, a.txtDescription as glosa, 
c.codChannel as cod_canal_cli, i.fldName as canal,
c.codHeading as cod_rubro_cli, j.fldName as rubro, count(1) as num_reg, 
case when a.codInvoice is NULL then a.codInvoice else (select fldNumber from txsSalesLedger where pkySalesLedger = a.codInvoice) end as nro_fac  
from slsSalesNote a, agnPerson b, agnCompany c, invWarehouse d, 
slsSalesPlace e, actCurrency f, regCity h, 
agnChannel i, agnCompanyHeading j, slsSalesNoteType k
where
$valor_tipo_nota 
$valor_vendedor 
$valor_cliente 
$valor_canal_venta 
$valor_almacen 
$valor_local 
$valor_ciudad 
$valor_contexto 
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
a.codSeller = b.pkyPerson and
a.codClient = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codSalesPlace = e.pkySalesPlace and 
a.codCurrency = f.pkyCurrency and 
c.codCityLocation = h.pkyCity and 
c.codChannel = i.pkyChannel and 
c.codHeading = j.pkyCompanyHeading and 
a.codType = k.pkySalesNoteType and 
a.sysEnabled = 1 and a.sysAuthorized = 1  
$valor_agrupar  
$valor_orden;");
	$matriz_cli = array ();
	$i = 1;
	while ($row = mysqli_fetch_array($result_cli)) {
	$matriz_cli[$i][1] = $row['cod_cli'];
	$matriz_cli[$i][2] = $row['num_reg'];
	//echo $matriz_cli[$i][1].' - '.$matriz_cli[$i][2].'<br>';
	$i++;
	}
	
	$fin_cli = $i - 1;
	//echo $fin_cli.'<br>';
	mysqli_free_result($result_cli);
	
						
	$color = 2;
	$suma_cant = 0;
	$suma_om = 0;
	$suma_par = 0;
	$suma_participacion = 0;
	$suma_part_total = 0;
	$suma_participacion_det = 0;
	
	$suma_cobro_ant = 0;
	$suma_cobro_per = 0;
	$suma_cobro_ant_tot = 0;
	$suma_cobro_per_tot = 0;
	
	$i = 1;
	$j = 1;
	$p = 1; //contador participacion
	$matriz_participacion = array();
	while($j <= $fin_cli){//while $fin_cli
		$k = 1;
	while($k <= $matriz_cli[$j][2]) { //while
		
		$codigo_nota_venta = $matriz_ventas[$i][1];
		$codigo_cxc = $matriz_ventas[$i][14];
		$codigo_asiento = $matriz_ventas[$i][26];
		$codigo_mov_merc = $matriz_ventas[$i][27];
		$codigo_mov_caja = $matriz_ventas[$i][29];
		$codigo_mov_banco = $matriz_ventas[$i][31];
		$codigo_factura = $matriz_ventas[$i][28];
		$cod_cheque = $matriz_ventas[$i][30];
		//$cod_contrato = $matriz_ventas[$i][33];
		//datos del contrato
		$mat_con = array();
		$c = 1;
		$resultcontrato = mysqli_query($link, "select a.pkySalesNoteVehicleContract as codigo, a.codVehicleContract as cod_cont, b.fldNumber as num_cont, a.fldAmount as monto
		from slsSalesNoteVehicleContract a, vhcVehicleContract b 
		where 
		a.codVehicleContract = b.pkyVehicleContract and 
		a.codSalesNote = '$codigo_nota_venta' and 
		a.sysEnabled = 1 and a.sysAuthorized = 1;");	
		while ($row = mysqli_fetch_array($resultcontrato)) {
			$mat_con [$c][1] = $row['codigo']; 
			$mat_con [$c][2] = $row['cod_cont']; 
			$mat_con [$c][3] = $row['num_cont']; 
			$mat_con [$c][4] = $row['monto']; 
			$c++;
		}
		$hay_contrato = mysqli_num_rows($resultcontrato);
		mysqli_free_result($resultcontrato);
		$fin_cont = $c - 1;
		if($detalle == 0){//if detalle
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'><a href='../../ModuleSales/VoucherSalesNote/index.php?pkySalesNote=$codigo_nota_venta&user=$usuario&token=$token' title='Nota de Venta'>%s</a></td>", $matriz_ventas[$i][1]);//cod
		} else {
		printf("<tr><td align='center'><a href='../../ModuleSales/VoucherSalesNote/index.php?pkySalesNote=$codigo_nota_venta&user=$usuario&token=$token' title='Nota de Venta'>%s</a></td>", $matriz_ventas[$i][1]);//cod
		}//cierra if color
		printf("<td align='center'>%s</td>", $matriz_ventas[$i][3]);//numero documento
		printf("<td align='right'>%s</td>", $matriz_ventas[$i][2]);//fecha
		printf("<td>%s</td>", $matriz_ventas[$i][24]);//tipo nota
		printf("<td>%s</td>", $matriz_ventas[$i][4]);//cliente
		printf("<td>%s</td>", $matriz_ventas[$i][5]);//vendedor
		printf("<td>%s</td>", $matriz_ventas[$i][25]);//ciudad
		printf("<td>%s</td>", $matriz_ventas[$i][6]);//almacen
		printf("<td>%s</td>", $matriz_ventas[$i][7]);//local venta
		printf("<td>%s</td>", $matriz_ventas[$i][15]);//glosa
		printf("<td>");
		for($c = 1; $c <= $fin_cont; $c++) {
			$cod_contrato = $mat_con [$c][2];
			printf("<a href='../../ModuleVehicles/VoucherVehicleContract/index.php?pkyVehicleContract=$cod_contrato&codStatus=5&user=$usuario&token=$token' title='Contrato'>%s</a> - %s - %s", $mat_con [$c][2], $mat_con [$c][3], number_format($mat_con [$c][4],$n_decimales));//cod cont - num cont - monto
			if($c < $fin_cont) {
				printf("<br />");
			}
		}
		printf("</td>");
		printf("<td align='right'><a href='../../ModuleCollections/VoucherAccountsReceivable/index.php?pkyAccountsReceivable=$codigo_cxc&user=$usuario&token=$token' title='Nota de Cuenta por Cobrar'>%s</a></td>", $matriz_ventas[$i][14]);//cxc
		printf("<td align='right'><a href='../../ModuleAccounting/VoucherAccountEntry/index.php?pkyAccountEntry=$codigo_asiento&showCC=$asientocc&user=$usuario&token=$token' title='Asiento Contable'>%s</a></td>", $matriz_ventas[$i][26]);//asiento
		printf("<td align='right'><a href='../../ModuleInventory/VoucherItemMovement/index.php?pkyItemMovement=$codigo_mov_merc&showBatch=1&printAccountEntry=0&user=$usuario&token=$token' title='Movimiento de Mercaderia con Lotes'>%s</a></td>", $matriz_ventas[$i][27]);//mov de mercaderia (printAccountEntry=0 porque no genera asiento, lo genera la nota de pedido o nota de venta)
		
		printf("<td align='right'><a href='../../ModuleTaxes/VoucherSalesLedger/index.php?pkySalesLedger=$codigo_factura&sheetSize=$formato_factura&head=$muestra_cabecera&user=$usuario&token=$token' title='Factura'>%s</a>-%s</td>", $matriz_ventas[$i][28], $matriz_ventas[$i][34]);//factura
		printf("<td align='right'><a href='../../ModulePettyCash/VoucherPettyCashMovement/index.php?pkyPettyCashMovement=$codigo_mov_caja&user=$usuario&token=$token' title='Movimiento de Caja'>%s</a></td>", $matriz_ventas[$i][29]);//mov de caja
		printf("<td align='right'><a href='../../ModuleTreasury/VoucherCheck/index.php?pkyCheck=$cod_cheque&user=$usuario&token=$token' title='Cheque'>%s</a></td>", $matriz_ventas[$i][30]);//cheque
		printf("<td align='right'><a href='../../ModuleTreasury/VoucherBankMovement/index.php?pkyBankMovement=$codigo_mov_banco&user=$usuario&token=$token' title='Nota de Movimiento Bancario'>%s</a></td>", $matriz_ventas[$i][31]);//mov banco
		printf("<td>%s</td>", $matriz_ventas[$i][8]);//moneda
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][10],$n_decimales));//total bruto
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][11],$n_descuento));//descuento %
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][12],$n_descuento));//descuento global %
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][13],$n_decimales));//total
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][16],$n_decimales));//cobros anteriores
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][17],$n_decimales));//cobro periodo
		$saldo_v = $matriz_ventas[$i][13] - $matriz_ventas[$i][16] - $matriz_ventas[$i][17];
		if($otra_moneda != 0){ //if otra moneda
		printf("<td align='right'>%s</td>", number_format($saldo_v,$n_decimales));//saldo
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][19],$n_tipocambio));// tasa de tc
		printf("<td align='right'>%s</td></tr>", number_format($saldo_v * $matriz_ventas[$i][19],$n_decimales));// saldo otra moneda
		}//fin if otra moneda 
		else {	//else otra moneda
		printf("<td align='right'>%s</td></tr>", number_format($saldo_v,$n_decimales));//saldo
		}//fin else otra moneda
		
		} else {//else if detalle
		$saldo_v = $matriz_ventas[$i][13] - $matriz_ventas[$i][16] - $matriz_ventas[$i][17];
		}//fin if detalle
		
	$suma_om = $suma_om + $saldo_v * $matriz_ventas[$i][19];
	$suma_par = $suma_par + $saldo_v * $matriz_ventas[$i][19];
	$suma_participacion = $suma_participacion + $matriz_ventas[$i][13] * $matriz_ventas[$i][19];
	$suma_cobro_ant = $suma_cobro_ant + $matriz_ventas[$i][16] * $matriz_ventas[$i][19];
	$suma_cobro_per = $suma_cobro_per + $matriz_ventas[$i][17] * $matriz_ventas[$i][19];
	$suma_cobro_ant_tot = $suma_cobro_ant_tot + $matriz_ventas[$i][16] * $matriz_ventas[$i][19];
	$suma_cobro_per_tot = $suma_cobro_per_tot + $matriz_ventas[$i][17] * $matriz_ventas[$i][19];
		
	$suma_part_total = $suma_part_total + $matriz_ventas[$i][13] * $matriz_ventas[$i][19];
	  	$color++;
		$i++;
		$k++;
	}//fin while
	$suma_participacion_det = $suma_participacion_det + $suma_participacion;
	$j++;
	if($otra_moneda != 0){//if otra moneda 2
	
		if ($participacion == 0) { $mostrar_nom_periodo = $matriz_ventas[$i-1][4]; }
		if ($participacion == 1) { $mostrar_nom_periodo = $matriz_ventas[$i-1][4]; }
		if ($participacion == 2) { //if part 2
			$valor_canal_cli = $matriz_ventas[$i-1][21];
			$resultcanal = mysqli_query($link, "select fldName as canal_cli
										from
										agnChannel
										where
										pkyChannel = '$valor_canal_cli' and
										sysEnabled = 1 and sysAuthorized = 1;");
			while ($row = mysqli_fetch_array($resultcanal)) {
			$mostrar_nom_periodo = $row['canal_cli'];
			}
			mysqli_free_result($resultcanal);
		 } //fin if part 2
		 if ($participacion == 3) { //if part 3
			$valor_rubro_cli = $matriz_ventas[$i-1][22];
			$resultrubro = mysqli_query($link, "select fldName as rubro_cli
									  	from
										agnCompanyHeading
										where
										pkyCompanyHeading = '$valor_rubro_cli' and
										sysEnabled = 1 and sysAuthorized = 1;");
			while ($row = mysqli_fetch_array($resultrubro)) {
			$mostrar_nom_periodo = $row['rubro_cli'];
			}
			mysqli_free_result($resultrubro);
		 } //fin if part 3
 ?>
 <?php if($detalle == 0) { //if detalle 5?>
 <tr BGCOLOR='#ffcccc'><td colspan="22"><b>Total Ventas Periodo <?php echo $mostrar_nom_periodo; ?></b></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_participacion,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_cobro_ant,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_cobro_per,$n_decimales)); ?></td>
 <td>&nbsp;</td><td>&nbsp;</td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_par,$n_decimales)); ?></td>
 </tr>
 <?php } else { //else detalle 5
 //cambia el color de las filas en no mostrar detalle para que salgan igual que las otras y no rojas
 if($color % 2 == 0) { $var_color = '#ffffff'; } else { $var_color = '#e2e7fa'; }
 ?>
 <tr BGCOLOR='<?php echo $var_color; ?>'><td><b>Total Ventas Periodo <?php echo $mostrar_nom_periodo; ?></b></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_participacion,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_cobro_ant,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_cobro_per,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_par,$n_decimales)); ?></td>
 </tr>
 <?php } //fin if detalle 5 ?>
 <?php
	}//fin if otra moneda 2
	if ($participacion == 1 || $participacion == 2 || $participacion == 3){//if participacion
		$matriz_participacion[$p][1] = $mostrar_nom_periodo;
		$matriz_participacion[$p][2] = $suma_participacion;
		$suma_participacion = 0;
		$p++;
	}//fin if participacion
	
	$suma_par = 0;	
	$suma_participacion = 0;
	$suma_cobro_ant = 0;
	$suma_cobro_per = 0;
	}//fin while $fin_cli
	
	/*
	} else { //else vendedor = 0 y cliente = 0
	$color = 2;
	$suma_cant = 0;
	$suma_om = 0;
	$i = 1;
	
	while($i <= $fin_ventas) { //while
		$codigo = $matriz_ventas[$i][14];
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $matriz_ventas[$i][1]);//cod
		} else {
		printf("<tr><td align='center'>%s</td>", $matriz_ventas[$i][1]);//cod
		}//cierra if color
		printf("<td align='center'>%s</td>", $matriz_ventas[$i][3]);//numero documento
		printf("<td align='right'>%s</td>", $matriz_ventas[$i][2]);//fecha
		printf("<td>%s</td>", $matriz_ventas[$i][4]);//cliente
		printf("<td>%s</td>", $matriz_ventas[$i][5]);//vendedor
		printf("<td>%s</td>", $matriz_ventas[$i][6]);//almacen
		printf("<td>%s</td>", $matriz_ventas[$i][7]);//local venta
		printf("<td>%s</td>", $matriz_ventas[$i][15]);//glosa
		printf("<td>%s</td>", $matriz_ventas[$i][8]);//moneda
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][10],$n_decimales));//total bruto
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][11],$n_decimales));//descuento %
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][12],$n_decimales));//descuento global %
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][13],$n_decimales));//total
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][16],$n_decimales));//cobros anteriores
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][17],$n_decimales));//cobro periodo
		$saldo_v = $matriz_ventas[$i][13] - $matriz_ventas[$i][16] - $matriz_ventas[$i][17];
		
		if($otra_moneda != 0){ //if otra moneda
		//printf("<td align='right'><a href='report.php?rep=6&tipo=2&cod_cxc=$codigo&empresa=1&otra_moneda_det=0' title='Kardex de Cuenta por Cobrar'>%s</a></td>", number_format($row['saldo'],$n_decimales));//saldo
		printf("<td align='right'><a href='../../ModuleCollections/ReportAccountsReceivable/report.php?rep=6&tipo=2&cod_cxc=$codigo&empresa=1&otra_moneda_det=0' title='Kardex de Cuenta por Cobrar'>%s</a></td>", number_format($saldo_v,$n_decimales));//saldo
		printf("<td align='right'>%s</td>", $matriz_ventas[$i][19]);// tasa de tc
		printf("<td align='right'><a href='../../ModuleCollections/ReportAccountsReceivable/report.php?rep=6&tipo=2&cod_cxc=$codigo&empresa=1&otra_moneda_det=$otra_moneda' title='Kardex de Cuenta por Cobrar'>%s</a></td></tr>", number_format($saldo_v * $matriz_ventas[$i][19],$n_decimales));// saldo otra moneda
		}//fin if otra moneda 
		else {	//else otra moneda
		printf("<td align='right'><a href='../../ModuleCollections/ReportAccountsReceivable/report.php?rep=6&tipo=2&cod_cxc=$codigo&empresa=1&otra_moneda_det=0' title='Kardex de Cuenta por Cobrar'>%s</a></td></tr>", number_format($saldo_v,$n_decimales));//saldo
		}//fin else otra moneda
		$suma_om = $suma_om + $saldo_v * $matriz_ventas[$i][19];
	    //$suma_empresa = $suma_empresa + $row['saldo'];
	  	$color++;
		$i++;
	}//fin while
	} // fin if vendedor = 0 y cliente = 0
	*/
?>
 <?php if($otra_moneda != 0){ //if otra moneda 10?>
  <?php if($detalle == 0) { //if detalle 6?>
 <tr BGCOLOR='#ffcccc'><td colspan="22"><b>Total Ventas Periodo</b></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_participacion_det,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_cobro_ant_tot,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_cobro_per_tot,$n_decimales)); ?></td>
 <td>&nbsp;</td><td>&nbsp;</td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_om,$n_decimales)); ?></td>
 </tr>
  <?php } else { //else detalle 6?>
  <tr BGCOLOR='#ffcccc'><td><b>Total Ventas Periodo</b></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_participacion_det,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_cobro_ant_tot,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_cobro_per_tot,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_om,$n_decimales)); ?></td>
 </tr>
   <?php } //fin if detalle 6?>
</tbody>
</table>
	 <?php if($participacion == 1 || $participacion == 2 || $participacion == 3){ //if part 3
	 	if($participacion == 1) { $titulo_participacion = 'Cliente'; }
		if($participacion == 2) { $titulo_participacion = 'Canal'; }
		if($participacion == 3) { $titulo_participacion = 'Rubro'; }
		?>
     <p>
     <center><font color="#000099" size="+1"><b>Resumen de participaci&oacute;n en el Periodo</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="50%"><b>Participaci&oacute;n: </b><?php echo $nom_participacion; ?></TD>
        <TD width="50%"><b>Expresado en: </b><?php echo $nom_otra_moneda; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br />
     <table border="1" align="center" cellpadding="2" width="100%">
        <thead>
        <TR> 
        <TD align="center"><b><?php echo $titulo_participacion; ?></b></TD>
        <TD align="center"><b>Suma Ventas del Periodo en <?php echo $nom_otra_moneda; ?></b></TD>
        <TD align="center"><b>Participaci&oacute;n del Periodo %</b></TD>
        </TR>
        </thead>
        <tbody class="marcafila">
        <?php 
		$sum_p_p = 0;
		$r = 1;
		$color2 = 2;
		while ($r < $p) {//while rp
			if($color2 % 2 == 0) { //if color
			printf("<tr BGCOLOR='#e2e7fa'><td align='left'>%s</td>", $matriz_participacion[$r][1]);//cliente
			} else { 
			printf("<tr><td align='left'>%s</td>", $matriz_participacion[$r][1]);//cliente
			} //fin if color
			printf("<td align='right'>%s</td>", number_format($matriz_participacion[$r][2], $n_decimales));//suma ventas
			if ($suma_part_total == 0) {
				$p_p = 0;
			} else {
				$p_p = ($matriz_participacion[$r][2] / $suma_part_total) * 100;
			}
			printf("<td align='right'>%s</td></tr>", number_format($p_p, 2));//% participacion
			$sum_p_p = $sum_p_p + $p_p;
			$r++;
			$color2++;
		}//fin while rp
		?>
        <tr BGCOLOR='#ffcccc'>
        <td align="left"><b>Totales</b></td>
        <td align="right"><b><?php echo number_format($suma_part_total, $n_decimales);?></b></td>
        <td align="right"><b><?php echo number_format($sum_p_p, 2);?></b></td></tr>
        </tbody>
        </table>
   <?php     } //fin if part 3 
  		} else { //else otra moneda 10?>
 <tr BGCOLOR='#ffcccc'><td colspan="22"><b>Total Ventas Periodo en <?php echo $nom_moneda_principal; ?></b></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_participacion_det,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_cobro_ant_tot,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_cobro_per_tot,$n_decimales)); ?></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_om,$n_decimales)); ?></td>
 </tr>
 </tbody>
 </table>
 <?php }  //fin if otra moneda 10?>           

<?php

} //fin if 2

?>

</body>
</html>
